Bug 486173 - System-config-services dies with Exception when changing service runlevel
System-config-services dies with Exception when changing service runlevel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 13:51 EST by Clemens Eisserer
Modified: 2013-03-05 22:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clemens Eisserer 2009-02-18 13:51:23 EST
Description of problem:
When changing a runlevel for a service, an exception is thrown.

Version-Release number of selected component (if applicable):
Sorry, don't have it here. The system was completly updated.


Steps to Reproduce:
1. Click on a Service
2. Press the "modify" button
3. The dialog with the runlevel checkboxes appears
4. Select the runlevels interested in
5. When clicking "Ok" (or Save?), the exception shown above is thrown.
  
Actual results:
system-config-services
Traceback (most recent call last):
 File "/usr/bin/system-config-services", line 813, in
on_serviceCustomize_activate
   ServiceRunlevelDialog (xml, self.toplevel, service).run ()
 File "/usr/bin/system-config-services", line 725, in run
   self.service.runlevels = enabled_runlevels
 File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/services.py",
line 122, in _set_runlevels
   self._runlevels.thaw_hooks ()
 File "/usr/lib/python2.5/site-packages/slip/util/hookable.py", line
117, in thaw_hooks
   self.hooks_frozen = False
 File "/usr/lib/python2.5/site-packages/slip/util/hookable.py", line
108, in _set_hooks_frozen
   hookentry.run ()
 File "/usr/lib/python2.5/site-packages/slip/util/hookable.py", line 70, in run
   self.__hook (*self.__args, **self.__kwargs)
 File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line
53, in enable_proxy_wrapper
   sessionbus = dbus.SessionBus ()
 File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 219, in __new__
   mainloop=mainloop)
 File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 108, in __new__
   bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
 File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 125, in __new__
   bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did
not receive a reply. Possible causes include: the remote application
did not send a reply, the message bus security policy blocked the
reply, the reply timeout expired, or the network connection was
broken.

Expected results:
Should work without problems.

Additional info:
Its a fresh Fedora10 with KDE, and after installation updated it (18-Feb-2008).
Comment 1 Nils Philippsen 2009-02-20 05:30:51 EST
Which versions of dbus, PolicyKit (and while you're at it, system-config-services ;-) do you have installed?
Comment 2 Clemens Eisserer 2009-02-20 14:26:28 EST
dbus-1.2.4-2.fc10.i386
PolicyKit-0.9-4.fc10.i386
system-config-services 0.99.28
Comment 3 Clemens Eisserer 2009-03-12 15:05:32 EDT
Hit exactly the same problem on another machine where I:
- installed KDE live cd
- updated to latest packages (2009-05-03)
- disabled networkmanager

Excxeption I get when using system-config-services is exactly the same as above.
By the way, no chance for closing this as NEEDMOREINFO :P
Comment 4 Nils Philippsen 2009-03-13 04:57:37 EDT
Sorry for not getting back to you earlier. I looked at the traceback again and noticed that s-c-services (slip.dbus) has problems getting hold of the session bus:

[...]
 File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line
53, in enable_proxy_wrapper
   sessionbus = dbus.SessionBus ()
 File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 219, in __new__
   mainloop=mainloop)
 File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 108, in __new__
   bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
 File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 125, in __new__
   bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did
not receive a reply. Possible causes include: the remote application
did not send a reply, the message bus security policy blocked the
reply, the reply timeout expired, or the network connection was
broken.

As I understand it, the session bus needs to be started by the desktop environment at login time... Since I'm not quite sure about that, I'll change the component to "dbus", so its maintainer (who knows more about that than I) can either dispatch it to the proper KDE component or (if the session bus should be started automatically) analyze why it isn't started.
Comment 5 Bug Zapper 2009-11-18 06:08:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:57:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.